fixint_decl.hpp File Reference
`#include "msgpack/versioning.hpp"`
`#include "msgpack/adaptor/adaptor_base.hpp"`
`#include "msgpack/adaptor/int.hpp"`

Go to the source code of this file.

## Classes

struct | msgpack::type::fix_int< T >

## Namespaces

| msgpack
| msgpack::type

## Typedefs

typedef fix_int< uint8_t > | msgpack::type::fix_uint8
typedef fix_int< uint16_t > | msgpack::type::fix_uint16
typedef fix_int< uint32_t > | msgpack::type::fix_uint32
typedef fix_int< uint64_t > | msgpack::type::fix_uint64
typedef fix_int< int8_t > | msgpack::type::fix_int8
typedef fix_int< int16_t > | msgpack::type::fix_int16
typedef fix_int< int32_t > | msgpack::type::fix_int32
typedef fix_int< int64_t > | msgpack::type::fix_int64